<IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /

    # Se não for arquivo nem pasta, manda tudo pro index.php
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d

    RewriteRule ^ index.php [L]
</IfModule>